diff --git a/runtime/pgAdmin4.cpp b/runtime/pgAdmin4.cpp
index a2dbe74..865e6ad 100644
--- a/runtime/pgAdmin4.cpp
+++ b/runtime/pgAdmin4.cpp
@@ -327,6 +327,12 @@ int main(int argc, char * argv[])
     browserWindow.setWindowIcon(QIcon(":/pgAdmin4.ico"));
     browserWindow.show();
 
+    // Disable platform specific proxy settings.
+    // This is required for QtWebEngine on windows platform.
+    // If user has already set the proxy server then "Bypass proxy for localhost"
+    // options is required to enable to make the application working.
+    QNetworkProxyFactory::setUseSystemConfiguration(false);
+
     // Go!
     splash->finish(NULL);
     return app.exec();
